# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# vlMolecule::Atom Class Reference

The Atom class represents an atom to be used with the Molecule class. More...

`#include <Atom.hpp>`

Inheritance diagram for vlMolecule::Atom:

List of all members.

## Public Member Functions

| Atom ()
| Atom (const Atom &other)
Atom & | operator= (const Atom &other)
| Assignment operator: does not assign the adjacent atoms.
bool | isAtomAdjacent (Atom *atom) const
const std::vector< vl::ref < Atom > > & | adjacentAtoms () const
std::vector< vl::ref< Atom > > & | adjacentAtoms ()
EAtomType | atomType () const
void | setAtomType (EAtomType type)
unsigned int | id () const
void | setId (unsigned int id)
const vl::fvec3 & | coordinates () const
void | setCoordinates (const vl::fvec3 &coordinates)
float | radius () const
void | setRadius (float radius)
void | setVisited (bool visited)
bool | visited () const
void | setAtomName (const std::string &name)
const std::string & | atomName () const
const vl::fvec4 & | color () const
void | setColor (const vl::fvec4 &color)
bool | visible () const
void | setVisible (bool visible)
void | setShowAtomName (bool show)
| Defines whether the atom name should be rendered or not. See also Molecule::setShowAtomNames().
bool | showAtomName () const
| Defines whether the atom name should be rendered or not. See also Molecule::setShowAtomNames().

## Protected Attributes

vl::fvec4 | mColor
vl::fvec3 | mCoordinates
EAtomType | mAtomType
float | mRadius
std::vector< vl::ref< Atom > > | mAdjacentAtoms
std::string | mAtomName
unsigned int | mId
bool | mVisited
bool | mVisible
bool | mShowAtomName

## Detailed Description

The Atom class represents an atom to be used with the Molecule class.

See also:
  - Molecule Visualization Tutorial
  - Molecule
  - Bond

## Constructor & Destructor Documentation

vlMolecule::Atom::Atom | ( |  | ) | `[inline]`

vlMolecule::Atom::Atom | ( | const Atom & | other | ) | `[inline]`

## Member Function Documentation

Atom& vlMolecule::Atom::operator= | ( | const Atom & | other | ) | `[inline]`

Assignment operator: does not assign the adjacent atoms.

bool vlMolecule::Atom::isAtomAdjacent | ( | Atom * | atom | ) | const`[inline]`

const std::vector< vl::ref<Atom> >& vlMolecule::Atom::adjacentAtoms | ( |  | ) | const`[inline]`

std::vector< vl::ref<Atom> >& vlMolecule::Atom::adjacentAtoms | ( |  | ) | `[inline]`

EAtomType vlMolecule::Atom::atomType | ( |  | ) | const`[inline]`

void vlMolecule::Atom::setAtomType | ( | EAtomType | type | ) | `[inline]`

unsigned int vlMolecule::Atom::id | ( |  | ) | const`[inline]`

void vlMolecule::Atom::setId | ( | unsigned int | id | ) | `[inline]`

const vl::fvec3& vlMolecule::Atom::coordinates | ( |  | ) | const`[inline]`

void vlMolecule::Atom::setCoordinates | ( | const vl::fvec3 & | coordinates | ) | `[inline]`

float vlMolecule::Atom::radius | ( |  | ) | const`[inline]`

void vlMolecule::Atom::setRadius | ( | float | radius | ) | `[inline]`

void vlMolecule::Atom::setVisited | ( | bool | visited | ) | `[inline]`

bool vlMolecule::Atom::visited | ( |  | ) | const`[inline]`

void vlMolecule::Atom::setAtomName | ( | const std::string & | name | ) | `[inline]`

const std::string& vlMolecule::Atom::atomName | ( |  | ) | const`[inline]`

const vl::fvec4& vlMolecule::Atom::color | ( |  | ) | const`[inline]`

void vlMolecule::Atom::setColor | ( | const vl::fvec4 & | color | ) | `[inline]`

bool vlMolecule::Atom::visible | ( |  | ) | const`[inline]`

void vlMolecule::Atom::setVisible | ( | bool | visible | ) | `[inline]`

void vlMolecule::Atom::setShowAtomName | ( | bool | show | ) | `[inline]`

Defines whether the atom name should be rendered or not. See also Molecule::setShowAtomNames().

bool vlMolecule::Atom::showAtomName | ( |  | ) | const`[inline]`

Defines whether the atom name should be rendered or not. See also Molecule::setShowAtomNames().

## Member Data Documentation

vl::fvec4 vlMolecule::Atom::mColor`[protected]`

vl::fvec3 vlMolecule::Atom::mCoordinates`[protected]`

EAtomType vlMolecule::Atom::mAtomType`[protected]`

float vlMolecule::Atom::mRadius`[protected]`

std::vector< vl::ref<Atom> > vlMolecule::Atom::mAdjacentAtoms`[protected]`

std::string vlMolecule::Atom::mAtomName`[protected]`

unsigned int vlMolecule::Atom::mId`[protected]`

bool vlMolecule::Atom::mVisited`[protected]`

bool vlMolecule::Atom::mVisible`[protected]`

bool vlMolecule::Atom::mShowAtomName`[protected]`

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlMolecule/Atom.hpp

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:49 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.